body {
  background-image: url(picture/frame.png);
  margin: 0;
}

header {
  position: fixed;
  left: 0;
  right: 0;
  top: 0;
  background: rgba(184,135,234,0.8);
  padding: 0px;
  margin: 0px;
  height: 8em;
  width: 100%;

}

main {
  width: 100%;
  color: #FFFFFF;
}

.wrapper{
    min-height: 100vh;
    position: relative;
    padding-top: 8em;
    padding-bottom: 4em;
    box-sizing: border-box;
}

footer {
  position: fixed;
  left: 0;
  right: 0;
  bottom: 0;
  background: rgba(184,184,184,0.8);
  padding: 0px;
  margin: 0px;
  height: 4em;
  width: 100%;
}

.main {
  padding-bottom: 0.5em;
  padding-top: 0.5em;
  font-size: 16px;
  font-weight: bold;
  white-space: nowrap
}

.headerList{
    padding: 5px;
    position: absolute;
    bottom: -5px;
}

.fotterList{
    position: absolute;
    top: -5px;
    padding: 5px;
}

.btn-border-bottom {
    position: relative;
    display: inline-block;
    font-weight: bold;
    padding: 0.25em 1em;
    text-decoration: none;
    color: rgba(72,22,122,1);
}

.btn-border-bottom:before {
    position: absolute;
    content: '';
    width: 100%;
    height: 4px;
    top:100%;
    left: 0;
    border-radius: 3px;
    background: rgba(128,38,218,1);
    transition: .2s;
}

.btn-border-bottom:hover:before {
    top: -webkit-calc(100% - 3px);
    top: calc(100% - 3px);
}

.btn-border-top {
    position: relative;
    display: inline-block;
    font-weight: bold;
    padding: 0.25em 1em;
    text-decoration: none;
    color: rgba(72,72,72,1);
}

.btn-border-top:before {
    position: absolute;
    content: '';
    width: 100%;
    height: 4px;
    bottom:100%;
    left: 0;
    border-radius: 3px;
    background: rgba(128,128,128,1);
    transition: .2s;
}

.btn-border-top:hover:before {
    bottom: -webkit-calc(100% - 3px);
    bottom: calc(100% - 3px);
}

.name {
    position: fixed;
    font-size: 12px;
    bottom: 0;
    right: 0;
    text-align: end;
    vertical-align: bottom;
}

.title {
    position: relative;
    display: inline-block;
    font-size: 18px;
    font-weight: bold;
    padding: 0;
    margin-bottom: 0;
    text-decoration: none;
    z-index: -1;
}

.line {
    position: relative;
    content: '';
    width: -webkit-calc(180px + 25em);
    height: 1px;
    margin-top: -5px;
    margin-bottom: 1px;
    background: rgba(218,128,38,1);
    z-index: -1;
}

.line:before {
    position: absolute;
    content: '';
    width: 100%;
    height: 2px;
    bottom: -webkit-calc(100% - 4px);
    left: 0;
    background: rgba(218,128,38,1);
}

.introduction {
    margin-bottom: 10px;
}

.introduction td {
    vertical-align: top;
    max-width: -webkit-calc(20em);
}

.button {
  display: inline-block;
  margin-top: 8px;
  padding: 0.3em 1em;
  font-size: 14px;
  text-decoration: none;
  background: rgba(255,255,255,1);
  color: rgba(38,38,218,1);
  border: solid 2px rgba(38,38,218,1);
}

.button:hover {
  background: rgba(22,22,122,1);
  color: white;
}